#!/usr/bin/perl
use Device::ParallelPort::drv::parport;
use Device::ParallelPort;
use Time::HiRes qw( usleep ualarm gettimeofday tv_interval );


my $port = Device::ParallelPort->new('parport:0');


my $nstep;
my $i;

# $port->set_bit(3,1);
# print $port->get_bit(3) . "\n";
# print ord($port->get_byte(0)) . "\n";

$port->set_byte (0,0);


#
# cycle clock 
# 

$port->set_bit(0,0);
$port->set_bit(1,0);
$port->set_bit(2,0);
$port->set_bit(3,0);

# half step
#$port->set_bit(1,0);
#$nstep=48*2;
 
# full step
$port->set_bit(1,1);
$nstep=48;

printf ("STEP: %d\n", $nstep);


for ($i=0; $i < $nstep; ++$i) {
   # print "Rising clock\n";
   $port->set_bit(0,1);
   usleep 10000;  # 10 ms
   $port->set_bit(0,0);
   # print "Lowering clock\n";
}


$port->set_bit(0,0);
$port->set_bit(1,0);
$port->set_bit(2,0);
$port->set_bit(3,0);
